Get Audit Logs
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"action": "APPLY_ACCOUNT",
"requestPath": "<string>",
"resourceId": "<string>",
"resourceType": "role",
"resourceName": "<string>",
"resourceFqn": "<string>",
"parentResourceId": "<string>",
"parentResourceType": "role",
"tenantName": "<string>",
"clusterId": "<string>",
"workspaceId": "<string>",
"subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"metaData": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"message": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Audit Logs
Get Audit Logs
Get paginated audit logs filtered by parameters passed in the query.
GET
/
api
/
svc
/
v1
/
audit-logs
Get Audit Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Either list or count
Available options:
list, count Action
Search query for message, action, resource name, and resource FQN
Resource Id
Resource Type (comma separated)
Resource Name
Resource Fqn
Cluster Id
Workspace Id
Slug of Subjects (comma separated)
Start Time (ISO 8601)
End Time (ISO 8601)
Was this page helpful?